<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDDFManualLayout (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDDFManualLayout (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFManualLayout.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLineChartData.Series.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
               title="interface in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFManualLayout.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xddf.usermodel.chart</div>
    <h2 title="Class XDDFManualLayout" class="title">Class XDDFManualLayout</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xddf.usermodel.chart.XDDFManualLayout</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public final class <span class="typeNameLabel">XDDFManualLayout</span>
extends java.lang.Object</pre>
                <div class="block">Represents a DrawingML manual layout.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#XDDFManualLayout-org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout-">XDDFManualLayout</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout&nbsp;ctLayout)</code>
                                    <div class="block">Create a new DrawingML manual layout.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#XDDFManualLayout-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-">XDDFManualLayout</a></span>(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea&nbsp;ctPlotArea)</code>
                                    <div class="block">Create a new DrawingML manual layout for chart.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartExtensionList</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getExtensionList--">getExtensionList</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getHeightMode--">getHeightMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getHeightRatio--">getHeightRatio</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutTarget.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutTarget</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getTarget--">getTarget</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getWidthMode--">getWidthMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getWidthRatio--">getWidthRatio</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getX--">getX</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected
                                    org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getXmlObject--">getXmlObject</a></span>()</code>
                                    <div class="block">Return the underlying CTManualLayout bean.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getXMode--">getXMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getY--">getY</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#getYMode--">getYMode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setExtensionList-org.apache.poi.xddf.usermodel.chart.XDDFChartExtensionList-">setExtensionList</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartExtensionList</a>&nbsp;list)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setHeightMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">setHeightMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setHeightRatio-double-">setHeightRatio</a></span>(double&nbsp;ratio)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setTarget-org.apache.poi.xddf.usermodel.chart.LayoutTarget-">setTarget</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutTarget.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutTarget</a>&nbsp;target)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setWidthMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">setWidthMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setWidthRatio-double-">setWidthRatio</a></span>(double&nbsp;ratio)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setX-double-">setX</a></span>(double&nbsp;x)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setXMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">setXMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setY-double-">setY</a></span>(double&nbsp;y)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html#setYMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">setYMode</a></span>(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDDFManualLayout-org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XDDFManualLayout</h4>
                                <pre>public&nbsp;XDDFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTLayout&nbsp;ctLayout)</pre>
                                <div class="block">Create a new DrawingML manual layout.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ctLayout</code> - a DrawingML layout that should be used as base.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="XDDFManualLayout-org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDDFManualLayout</h4>
                                <pre>public&nbsp;XDDFManualLayout(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea&nbsp;ctPlotArea)</pre>
                                <div class="block">Create a new DrawingML manual layout for chart.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ctPlotArea</code> - a chart's plot area to create layout for.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;org.openxmlformats.schemas.drawingml.x2006.chart.CTManualLayout&nbsp;getXmlObject()</pre>
                                <div class="block">Return the underlying CTManualLayout bean.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the underlying CTManualLayout bean.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setExtensionList-org.apache.poi.xddf.usermodel.chart.XDDFChartExtensionList-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setExtensionList</h4>
                                <pre>public&nbsp;void&nbsp;setExtensionList(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartExtensionList</a>&nbsp;list)</pre>
                            </li>
                        </ul>
                        <a name="getExtensionList--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtensionList</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChartExtensionList.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChartExtensionList</a>&nbsp;getExtensionList()</pre>
                            </li>
                        </ul>
                        <a name="setWidthRatio-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWidthRatio</h4>
                                <pre>public&nbsp;void&nbsp;setWidthRatio(double&nbsp;ratio)</pre>
                            </li>
                        </ul>
                        <a name="getWidthRatio--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidthRatio</h4>
                                <pre>public&nbsp;double&nbsp;getWidthRatio()</pre>
                            </li>
                        </ul>
                        <a name="setHeightRatio-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeightRatio</h4>
                                <pre>public&nbsp;void&nbsp;setHeightRatio(double&nbsp;ratio)</pre>
                            </li>
                        </ul>
                        <a name="getHeightRatio--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeightRatio</h4>
                                <pre>public&nbsp;double&nbsp;getHeightRatio()</pre>
                            </li>
                        </ul>
                        <a name="getTarget--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTarget</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutTarget.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutTarget</a>&nbsp;getTarget()</pre>
                            </li>
                        </ul>
                        <a name="setTarget-org.apache.poi.xddf.usermodel.chart.LayoutTarget-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTarget</h4>
                                <pre>public&nbsp;void&nbsp;setTarget(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutTarget.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutTarget</a>&nbsp;target)</pre>
                            </li>
                        </ul>
                        <a name="getXMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;getXMode()</pre>
                            </li>
                        </ul>
                        <a name="setXMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXMode</h4>
                                <pre>public&nbsp;void&nbsp;setXMode(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</pre>
                            </li>
                        </ul>
                        <a name="getYMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getYMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;getYMode()</pre>
                            </li>
                        </ul>
                        <a name="setYMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setYMode</h4>
                                <pre>public&nbsp;void&nbsp;setYMode(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</pre>
                            </li>
                        </ul>
                        <a name="getX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX</h4>
                                <pre>public&nbsp;double&nbsp;getX()</pre>
                            </li>
                        </ul>
                        <a name="setX-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setX</h4>
                                <pre>public&nbsp;void&nbsp;setX(double&nbsp;x)</pre>
                            </li>
                        </ul>
                        <a name="getY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY</h4>
                                <pre>public&nbsp;double&nbsp;getY()</pre>
                            </li>
                        </ul>
                        <a name="setY-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setY</h4>
                                <pre>public&nbsp;void&nbsp;setY(double&nbsp;y)</pre>
                            </li>
                        </ul>
                        <a name="getWidthMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWidthMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;getWidthMode()</pre>
                            </li>
                        </ul>
                        <a name="setWidthMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setWidthMode</h4>
                                <pre>public&nbsp;void&nbsp;setWidthMode(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</pre>
                            </li>
                        </ul>
                        <a name="getHeightMode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeightMode</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;getHeightMode()</pre>
                            </li>
                        </ul>
                        <a name="setHeightMode-org.apache.poi.xddf.usermodel.chart.LayoutMode-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setHeightMode</h4>
                                <pre>public&nbsp;void&nbsp;setHeightMode(<a
                                        href="../../../../../../org/apache/poi/xddf/usermodel/chart/LayoutMode.html"
                                        title="enum in org.apache.poi.xddf.usermodel.chart">LayoutMode</a>&nbsp;mode)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDDFManualLayout.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFLineChartData.Series.html"
               title="class in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/xddf/usermodel/chart/XDDFNumericalDataSource.html"
               title="interface in org.apache.poi.xddf.usermodel.chart"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/xddf/usermodel/chart/XDDFManualLayout.html"
               target="_top">Frames</a></li>
        <li><a href="XDDFManualLayout.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
